Subject: Clarification on why cargo-build-system should propagate inputs and native-inputs.

From: Mikhail Tsykalov <[email-masked]>
Date: Mon, 25 Dec 2023 11:21:31 +0300

I didn't get CC'd for some reason.

Okay, I have an example package (attached). Hardly a good reproducer, 
but that's what I have. Mostly created by using 'guix import' and 
editing things. You can build it using 'guix build -L. av1an' in the 
directory with the file. If you want it to not segfault, you'll have to 
install python in profile (that's probably a bug in vapoursynth package).

What I want you to do is to remove clang and nasm from input field of 
av1an package and try to build it. It will crash while building 
rust-bindgen. Neither clang nor nasm are things that av1an depends on, 
they are dependencies of a dependency of a dependency, yet for some 
reason omitting them from inputs field will make a package fail to 
build. pkg-config is in similar situation.

So, my suggestion is to make cargo-build-system propagate inputs and 
native-inputs fields of packages dependent by cargo-inputs to top level 
package.